Bug 699416 - llvm-devel not parallel installable - packaging issue
llvm-devel not parallel installable - packaging issue
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: llvm (Show other bugs)
15
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-25 11:10 EDT by Kevin DeKorte
Modified: 2011-08-23 00:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: llvm-2.8-12.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-22 11:07:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin DeKorte 2011-04-25 11:10:45 EDT
Description of problem:
Should be able to install llvm-devel.i686 and llvm-devel.x86_64 on same machine

Transaction Check Error:
  file /usr/bin/llvm-config from install of llvm-devel-2.8-10.fc15.i686 conflicts with file from package llvm-devel-2.8-10.fc15.x86_64
  file /usr/include/llvm/Config/config.h from install of llvm-devel-2.8-10.fc15.i686 conflicts with file from package llvm-devel-2.8-10.fc15.x86_64
  file /usr/include/llvm/Config/llvm-config.h from install of llvm-devel-2.8-10.fc15.i686 conflicts with file from package llvm-devel-2.8-10.fc15.x86_64



Version-Release number of selected component (if applicable):
llvm-devel-2.8-10

How reproducible:
100%

Steps to Reproduce:
1. try to install llvm-devel.i686 and llvm-devel.x86_64
2.
3.
  
Actual results:
Will not install

Expected results:
Should install

Additional info:
prevents building of mesa in 32bit mode on 64bit install. This has been a problem since Fedora 14
Comment 1 Kevin DeKorte 2011-04-27 09:04:28 EDT
Still broken with latest release

[kdekorte@quad mesa]$ sudo yum install llvm-devel.i686
[sudo] password for kdekorte: 
Loaded plugins: langpacks, presto, refresh-packagekit
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package llvm-devel.i686 0:2.8-11.fc15 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package           Arch        Version             Repository              Size
================================================================================
Installing:
 llvm-devel        i686        2.8-11.fc15         updates-testing         11 M

Transaction Summary
================================================================================
Install       1 Package(s)

Total download size: 11 M
Installed size: 48 M
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
Processing delta metadata
Package(s) data still to download: 11 M
llvm-devel-2.8-11.fc15.i686.rpm                          |  11 MB     00:42     
Running rpm_check_debug
Running Transaction Test


Transaction Check Error:
  file /usr/bin/llvm-config from install of llvm-devel-2.8-11.fc15.i686 conflicts with file from package llvm-devel-2.8-11.fc15.x86_64
  file /usr/include/llvm/Config/config.h from install of llvm-devel-2.8-11.fc15.i686 conflicts with file from package llvm-devel-2.8-11.fc15.x86_64
  file /usr/include/llvm/Config/llvm-config.h from install of llvm-devel-2.8-11.fc15.i686 conflicts with file from package llvm-devel-2.8-11.fc15.x86_64

Error Summary
-------------
Comment 2 Fedora Update System 2011-08-02 06:08:02 EDT
llvm-2.9-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/llvm-2.9-1.fc16
Comment 3 Fedora Update System 2011-08-02 16:50:33 EDT
Package llvm-2.9-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing llvm-2.9-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/llvm-2.9-1.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-08-04 17:12:33 EDT
Package OpenGTL-0.9.15.1-2.fc16, ldc-2-3.20110801git58d40d2.fc16, mesa-7.11-2.fc16, pure-0.47-3.fc16, llvm-2.9-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing OpenGTL-0.9.15.1-2.fc16 ldc-2-3.20110801git58d40d2.fc16 mesa-7.11-2.fc16 pure-0.47-3.fc16 llvm-2.9-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/OpenGTL-0.9.15.1-2.fc16,ldc-2-3.20110801git58d40d2.fc16,mesa-7.11-2.fc16,pure-0.47-3.fc16,llvm-2.9-2.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-08-12 07:01:30 EDT
llvm-2.8-12.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/llvm-2.8-12.fc15
Comment 6 Fedora Update System 2011-08-12 07:01:43 EDT
llvm-2.8-12.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/llvm-2.8-12.fc14
Comment 7 Fedora Update System 2011-08-22 11:06:57 EDT
OpenGTL-0.9.15.1-2.fc16, ldc-2-3.20110801git58d40d2.fc16, mesa-7.11-2.fc16, pure-0.47-3.fc16, llvm-2.9-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2011-08-23 00:26:51 EDT
llvm-2.8-12.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2011-08-23 00:35:30 EDT
llvm-2.8-12.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.